> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 检查关注关系

> 检查关注关系



## OpenAPI

````yaml openapi/zh/twitter-user-batch_02.json GET /twitter/user/check_follow_relationship
openapi: 3.0.3
info:
  title: Twitter API
  version: 1.0.0
  description: 用于用户数据和交互的 Twitter API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /twitter/user/check_follow_relationship:
    get:
      tags:
        - >-
          https://docs.twitterapi.io/api-reference/endpoint/check_follow_relationship
      summary: 检查关注关系
      description: 检查用户是否关注目标用户或是否被目标用户关注。
      parameters:
        - name: source_user_name
          in: query
          required: true
          schema:
            type: string
          description: 源用户的显示名称。
        - name: target_user_name
          in: query
          required: true
          schema:
            type: string
          description: 目标用户的显示名称。
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FollowRelationshipResponse'
components:
  schemas:
    FollowRelationshipResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            following:
              type: boolean
            followed_by:
              type: boolean
        status:
          type: string
          enum:
            - success
            - error
        message:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````